Package org.sunflow.core

# Interface Modifier

All Superinterfaces:
  `RenderObject`

All Known Implementing Classes:
  `BumpMappingModifier`, `NormalMapModifier`, `PerlinModifier`

public interface Modifier extends RenderObject
This represents a surface modifier. This is run on each instance prior to shading and can modify the shading state in arbitrary ways to provide effects such as bump mapping.

## Method Summary

Modifier and Type
Method
Description
`void`
`modify(ShadingState state)`
Modify the shading state for the point to be shaded.

### Methods inherited from interface org.sunflow.core.RenderObject

`update`

## Method Details

### modify

void modify(ShadingState state)
Modify the shading state for the point to be shaded.

Parameters:
  `state` - shading state to modify